About
ByteDance's most advanced reference-to-video model. Generate video from up to 9 images, 3 videos, and 3 audio clips with native audio and cinematic camera control.
1. Files
Infron provide a convenient file storage that allows you to upload files and use them in your requests. You can upload files and use the returned assets URL in your requests.
Upload resources
Upload file with remote resource URL (only http/https supported).
curl -X POST 'https://media.onerouter.pro/v1/upload/resources' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"file": "https://example.com/person-side.png"
}'
Or upload file with local file stream.
curl -X POST 'https://media.onerouter.pro/v1/upload/resources' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'model=bytedance/seedance-2.0/virtual-portrait-reference-to-video' \
-F 'file=@/tmp/person-front.png;type=image/png'
The response will look like this:
{
"code": 200,
"data": {
"id": 2,
"upstream_asset_uri": "asset://asset-20260606170356-s9vrz",
"upstream_status": "Processing",
"asset_type": "Image",
"description": "",
"upload_source": "remote_url",
"source_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260606%2Fcde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
"gcs_url": "https://storage.googleapis.com/infron_gcs/image%2Fmodel-assets%2Fseedance%2F13%2F20260606%2Fb97f550f-7309-41ba-b7a4-585bb43d97e9.jpg",
"file_name": "cde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
"content_type": "image/jpeg",
"file_ext": ".jpg",
"file_size_bytes": 39383,
"sha256_hash": "e7d916a106671814609f2ecb3b57ae1afd048df21a8c7c131f4035918cef2cdc",
"status": "processing",
"last_polled_at": "2026-06-06T09:03:55.754111989Z",
"created_at": "2026-06-06T09:03:55.755Z",
"updated_at": "2026-06-06T09:03:55.755Z"
},
"message": "success"
}
Real-life portrait footage needs to be authorized, uploaded, and undergo a consistency check before it can be made usable.
Check resource status
curl 'https://media.onerouter.pro/v1/status/resources/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'
The {id} is data.id from the JSON response received after calling the media upload API in the previous step.
You can continuously poll this endpoint to check the review status of the asset; if the asset passes the review, the following JSON will be returned.
{
"code": 200,
"data": {
"id": 2,
"upstream_asset_uri": "asset://asset-20260606170356-s9vrz",
"upstream_status": "Active",
"asset_type": "Image",
"description": "",
"upload_source": "remote_url",
"source_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260606%2Fcde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
"gcs_url": "https://storage.googleapis.com/infron_gcs/image%2Fmodel-assets%2Fseedance%2F13%2F20260606%2Fb97f550f-7309-41ba-b7a4-585bb43d97e9.jpg",
"file_name": "cde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
"content_type": "image/jpeg",
"file_ext": ".jpg",
"file_size_bytes": 39383,
"sha256_hash": "e7d916a106671814609f2ecb3b57ae1afd048df21a8c7c131f4035918cef2cdc",
"status": "active",
"last_polled_at": "2026-06-06T09:05:01Z",
"active_at": "2026-06-06T09:05:01Z",
"created_at": "2026-06-06T09:03:56Z",
"updated_at": "2026-06-06T09:05:01Z"
},
"message": "success"
}
Referencing assets in model calls
curl -X POST 'https://media.onerouter.pro/v1/videos/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"prompt": "Generate a 4-second video using @Image1.",
"image_urls": [
"asset://asset-20260606170356-s9vrz"
]
}'
Read more about file handling in our file upload guide.
2. Calling the API
Setup your API Key
To begin using Infron, you first need to create an account and generate your API Key.
Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.
export INFRON_KEY="YOUR_API_KEY"
Submit a request
For long-running requests, you can poll for results.
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"prompt": "Generate a 4-second video using @Image1. A man is running.",
"image_urls": ["asset://asset-20260606170356-s9vrz"],
"video_urls": [],
"audio_urls": [],
"aspect_ratio": "16:9",
"duration": "4",
"resolution": "4k",
"generate_audio": true,
"n": 1,
"seed": 123456
}
EOF
Response with queue task id
The response will look like this:
{
"code": 200,
"message": "success",
"data": {
"task_id": "5c56085aa73441fcb4f37e40d834a70c",
"object": "video",
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"status": "created",
"urls": {
"query": "https://media.onerouter.pro/v1/videos/tasks/5c56085aa73441fcb4f37e40d834a70c"
},
"created_at": "2026-06-25 08:29:33.43"
}
}
Fetch request status
You can fetch the status of a request to check if it is completed or still in progress.
curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
# For example
curl https://media.onerouter.pro/v1/videos/tasks/5c56085aa73441fcb4f37e40d834a70c \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response with queue task status query
{
"code": 200,
"message": "success",
"data": {
"task_id": "5c56085aa73441fcb4f37e40d834a70c",
"object": "video",
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"status": "in_progress",
"fail_reason": "",
"submit_time": 1782376173,
"start_time": 1782376173,
"finish_time": 0,
"outputs": [],
"created_at": "2026-06-25 08:29:33"
}
}
Possible statuses:
- created
- in_progress
- processing
- completed
- failed
created -> in_progress → processing → completed | failed
Poll every 1-2 seconds until status is "completed" or "failed"
Get the result (when status is "completed")
Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.
{
"code": 200,
"message": "success",
"data": {
"task_id": "5c56085aa73441fcb4f37e40d834a70c",
"object": "video",
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1782376173,
"start_time": 1782376173,
"finish_time": 1782376610,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_3b41130c-7c94-452a-bba5-6f4c4769577d.mp4"
],
"usage": {
"completion_tokens": 785700,
"duration": 4,
"generate_audio": true,
"output_count": 1,
"prompt_tokens": 0,
"request_num": 1,
"resolution": "4k",
"tokens": 785700,
"total_tokens": 785700,
"video_duration": 4
},
"cost": {
"total_cost": 1.795706,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 1.795706,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-06-25 08:29:33"
}
}
3. Schema
Input
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
| model | string | Yes | -- | Explore all models | Model name. |
| prompt | string | Yes | -- | -- | Text prompt for generation; Positive text prompt. |
| image_urls | array | No | -- | Image URLs, Asset URIs | Image URLs or Asset URIs to use as a reference for the generation. |
| video_urls | array | No | -- | -- | Video URLs to use as a reference for the generation. |
| audio_urls | array | No | -- | -- | Audio URLs to use as a reference for the generation. |
| aspect_ratio | string | No | 16:9 | 21:9, 16:9, 4:3, 1:1, 3:4, 9:16 | Aspect ratio of the generated video |
| duration | string | No | 5 | 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 | Duration of the generated video |
| resolution | string | No | 720p | 480p, 720p, 4k | Resolution of the generated video |
| generate_audio | boolean | No | true | true, false | Whether to generate audio. |
| n | integer | No | 1 | ==1 | Number of videos to generate. |
| seed | integer | No | -- | >=1 | The random seed to use for the generation. |
Example request
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"prompt": "Generate a 4-second video using @Image1. A man is running.",
"image_urls": ["asset://asset-20260606170356-s9vrz"],
"video_urls": [],
"audio_urls": [],
"aspect_ratio": "16:9",
"duration": "4",
"resolution": "4k",
"generate_audio": true,
"n": 1,
"seed": 123456
}
EOF
Output
| Parameter | Type | Range | Description |
|---|---|---|---|
| code | integer | -- | Status code of the request. |
| message | string | -- | Status message of the request. |
| data | object | -- | Data of the video task. |
| data.task_id | string | -- | ID of the video task. |
| data.object | string | -- | Object type of the video task. |
| data.model | string | -- | Model name of the video task. |
| data.status | string | created, in_progress, processing, completed, failed | Status of the video task. |
| data.fail_reason | string | -- | Fail reason of the video task. |
| data.submit_time | integer | -- | Timestamp of the video task submission. |
| data.start_time | integer | -- | Timestamp of the video task start. |
| data.finish_time | integer | -- | Timestamp of the video task finish. |
| data.outputs | array | -- | Outputs of the video task. |
| data.created_at | string | -- | Timestamp of the video task creation. |
Example output
{
"code": 200,
"message": "success",
"data": {
"task_id": "5c56085aa73441fcb4f37e40d834a70c",
"object": "video",
"model": "bytedance/seedance-2.0/virtual-portrait-reference-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1782376173,
"start_time": 1782376173,
"finish_time": 1782376610,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_3b41130c-7c94-452a-bba5-6f4c4769577d.mp4"
],
"usage": {
"completion_tokens": 785700,
"duration": 4,
"generate_audio": true,
"output_count": 1,
"prompt_tokens": 0,
"request_num": 1,
"resolution": "4k",
"tokens": 785700,
"total_tokens": 785700,
"video_duration": 4
},
"cost": {
"total_cost": 1.795706,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 1.795706,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-06-25 08:29:33"
}
}
4. Detailed Pricing
| Input Type | Resolution | Price |
|---|---|---|
| With video input | 480p / 720p | $4.30 / 1M tokens |
| Without video input | 480p / 720p | $7.00 / 1M tokens |
| With video input | 1080p | $4.70 / 1M tokens |
| Without video input | 1080p | $7.70 / 1M tokens |
| With video input | 4K | $2.40 / 1M tokens |
| Without video input | 4K | $4.00 / 1M tokens |
| Input Type | Resolution | Duration | Estimated Price |
|---|---|---|---|
| With video input | 480p / 720p | 5 s | ~$0.39–$0.86 |
| With video input | 480p / 720p | 10 s | ~$0.78–$1.72 |
| With video input | 480p / 720p | 15 s | ~$1.17–$2.58 |
| Without video input | 480p / 720p | 5 s | ~$0.63–$1.40 |
| Without video input | 480p / 720p | 10 s | ~$1.26–$2.80 |
| Without video input | 480p / 720p | 15 s | ~$1.89–$4.20 |
| With video input | 1080p | 5 s | ~$0.84–$1.86 |
| With video input | 1080p | 10 s | ~$1.68–$3.72 |
| With video input | 1080p | 15 s | ~$2.52–$5.58 |
| Without video input | 1080p | 5 s | ~$1.38–$3.05 |
| Without video input | 1080p | 10 s | ~$2.76–$6.10 |
| Without video input | 1080p | 15 s | ~$4.14–$9.15 |
| With video input | 4K | 5 s | ~$1.44–$3.20 |
| With video input | 4K | 10 s | ~$2.88–$6.40 |
| With video input | 4K | 15 s | ~$4.32–$9.60 |
| Without video input | 4K | 5 s | ~$2.40–$5.33 |
| Without video input | 4K | 10 s | ~$4.80–$10.67 |
| Without video input | 4K | 15 s | ~$7.20–$16.00 |